M_ActivityHappySummerRankCFG = {}

function M_ActivityHappySummerRankCFG:getData(key)
	if self.datas == nil then
		return nil
	end
	return self.datas[key]
end

function M_ActivityHappySummerRankCFG:init()
	self.datas = {}
	self.datas[1] = {ID = 1, StartRank = 1, EndRank = 1, RewardItme = {1,94}, RewardCount = {100000000,21}}
	self.datas[2] = {ID = 2, StartRank = 2, EndRank = 2, RewardItme = {1,94}, RewardCount = {50000000,14}}
	self.datas[3] = {ID = 3, StartRank = 3, EndRank = 3, RewardItme = {1,94}, RewardCount = {10000000,7}}
	self.datas[4] = {ID = 4, StartRank = 4, EndRank = 6, RewardItme = {1,17}, RewardCount = {5000000,30}}
	self.datas[5] = {ID = 5, StartRank = 7, EndRank = 10, RewardItme = {1,17}, RewardCount = {1000000,20}}
	self.datas[6] = {ID = 6, StartRank = 11, EndRank = 20, RewardItme = {1,17}, RewardCount = {500000,10}}
end

M_ActivityHappySummerRankCFG:init()
